# Uses of Interface
javax.swing.event.ListDataListener

Packages that use ListDataListener
Package
Description
com.sun.java.accessibility.util
Provides a collection of interfaces and classes that compose the Java Accessibility Utilities.
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.

## Uses of ListDataListener in com.sun.java.accessibility.util

Methods in com.sun.java.accessibility.util with parameters of type ListDataListener
Modifier and Type
Method
Description
`static void`
SwingEventMonitor.`addListDataListener(ListDataListener l)`
Adds the specified listener to receive all `LISTDATA` events on each component instance in the Java Virtual Machine as they occur.
`static void`
SwingEventMonitor.`removeListDataListener(ListDataListener l)`
Removes the specified listener so it no longer receives `LISTDATA` events when they occur.

## Uses of ListDataListener in javax.swing

Classes in javax.swing that implement ListDataListener
Modifier and Type
Class
Description
`class`
`JComboBox<E>`
A component that combines a button or editable field and a drop-down list.
`protected class`
`JList.AccessibleJList`
This class implements accessibility support for the `JList` class.
Methods in javax.swing that return ListDataListener
Modifier and Type
Method
Description
`ListDataListener[]`
AbstractListModel.`getListDataListeners()`
Returns an array of all the list data listeners registered on this `AbstractListModel`.
Methods in javax.swing with parameters of type ListDataListener
Modifier and Type
Method
Description
`void`
AbstractListModel.`addListDataListener(ListDataListener l)`
Adds a listener to the list that's notified each time a change to the data model occurs.
`void`
ListModel.`addListDataListener(ListDataListener l)`
Adds a listener to the list that's notified each time a change to the data model occurs.
`void`
AbstractListModel.`removeListDataListener(ListDataListener l)`
Removes a listener from the list that's notified each time a change to the data model occurs.
`void`
ListModel.`removeListDataListener(ListDataListener l)`
Removes a listener from the list that's notified each time a change to the data model occurs.

## Uses of ListDataListener in javax.swing.plaf.basic

Classes in javax.swing.plaf.basic that implement ListDataListener
Modifier and Type
Class
Description
`class`
`BasicComboBoxUI.ListDataHandler`
This listener watches for changes in the `ComboBoxModel`.
`class`
`BasicComboPopup.ListDataHandler`
As of 1.4, this class is now obsolete, doesn't do anything, and is only included for backwards API compatibility.
`class`
`BasicListUI.ListDataHandler`
The `ListDataListener` that's added to the `JLists` model at `installUI time`, and whenever the JList.model property changes.
Fields in javax.swing.plaf.basic declared as ListDataListener
Modifier and Type
Field
Description
`protected ListDataListener`
BasicComboBoxUI.`listDataListener`
This protected field is implementation specific.
`protected ListDataListener`
BasicComboPopup.`listDataListener`
This protected field is implementation specific.
`protected ListDataListener`
BasicListUI.`listDataListener`
`ListDataListener` that attached to `JList`.
Methods in javax.swing.plaf.basic that return ListDataListener
Modifier and Type
Method
Description
`protected ListDataListener`
BasicComboBoxUI.`createListDataListener()`
Creates a list data listener which will be added to the `ComboBoxModel`.
`protected ListDataListener`
BasicComboPopup.`createListDataListener()`
Creates a list data listener which will be added to the `ComboBoxModel`.
`protected ListDataListener`
BasicListUI.`createListDataListener()`
Creates an instance of `ListDataListener` that's added to the `JLists` by model as needed.